Get address transactions
curl --request GET \
--url https://api.range.org/v1/address/transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v1/address/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v1/address/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v1/address/transactions")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v1/address/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total": 123,
"transactions": [
{
"id": "<string>",
"version": 123,
"network": "<string>",
"height": "<string>",
"index": 123,
"timestamp": "<string>",
"hash": "<string>",
"sender": "<string>",
"message_types": [
"<string>"
],
"addresses": [
"<string>"
],
"success": true,
"gas": {
"wanted": 123,
"used": 123
},
"fees": {
"amount": "<string>",
"denom": "<string>"
},
"amounts": [
"<string>"
],
"memo": "<string>",
"signers": [
"<string>"
],
"messages": [
"<string>"
]
}
]
}Addresses & Entities
Get address transactions
Returns a list of transactions associated with the specified address.
GET
/
v1
/
address
/
transactions
Get address transactions
curl --request GET \
--url https://api.range.org/v1/address/transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v1/address/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v1/address/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v1/address/transactions")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v1/address/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total": 123,
"transactions": [
{
"id": "<string>",
"version": 123,
"network": "<string>",
"height": "<string>",
"index": 123,
"timestamp": "<string>",
"hash": "<string>",
"sender": "<string>",
"message_types": [
"<string>"
],
"addresses": [
"<string>"
],
"success": true,
"gas": {
"wanted": 123,
"used": 123
},
"fees": {
"amount": "<string>",
"denom": "<string>"
},
"amounts": [
"<string>"
],
"memo": "<string>",
"signers": [
"<string>"
],
"messages": [
"<string>"
]
}
]
}Authorizations
Authorization method required to allow user to access the api endpoints.
Query Parameters
Address to search
Example:
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
Network of Address
Example:
"ethereum"
Number of items to return
Example:
10
Number of items to skip
Start time
Example:
"2024-01-01T00:00:00.000Z"
End time
Example:
"2024-01-31T23:59:59.999Z"
Message types separated by comma
Status of transaction
Available options:
success, failed Was this page helpful?